ReferenceHTTP API
Knowledge sources
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/knowledge-sources"{ "knowledge_sources": [ { "created_at": "string", "id": "string", "kind": "url", "last_indexed_at": "string", "location": "string", "metadata": null, "status": "draft", "title": "string", "updated_at": "string" } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/knowledge-sources" \ -H "Content-Type: application/json" \ -d '{ "kind": "url", "title": "string" }'{ "created_at": "string", "id": "string", "kind": "url", "last_indexed_at": "string", "location": "string", "metadata": null, "status": "draft", "title": "string", "updated_at": "string"}Path Parameters
id*string
Knowledge source id
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/knowledge-sources/string/file"{ "byte_size": 0, "data_base64": "string", "file_name": "string", "media_type": "string"}